JsonFormat.Value (Jackson-annotations 2.1.0 API)
Date: 2012-10-05

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.annotation
Class JsonFormat.Value

    java.lang.Object
      com.fasterxml.jackson.annotation.JsonFormat.Value

Enclosing class:
  JsonFormat

    public static class JsonFormat.Value

extends Object

Helper class used to contain information from a single `JsonFormat` annotation.

Constructor Summary
`JsonFormat.Value()`
`JsonFormat.Value(JsonFormat ann)`
`JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz)`
`JsonFormat.Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr)`

Method Summary
`Locale` | `getLocale()`
`String` | `getPattern()`
`JsonFormat.Shape` | `getShape()`
`TimeZone` | `getTimeZone()`
`JsonFormat.Value` | `withLocale(Locale l)`
`JsonFormat.Value` | `withPattern(String p)`
`JsonFormat.Value` | `withShape(JsonFormat.Shape s)`
`JsonFormat.Value` | `withTimeZone(TimeZone tz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonFormat.Value

    public JsonFormat.Value()

### JsonFormat.Value

    public JsonFormat.Value(JsonFormat ann)

### JsonFormat.Value

    public JsonFormat.Value(String p,
                            JsonFormat.Shape sh,
                            String localeStr,
                            String tzStr)

### JsonFormat.Value

    public JsonFormat.Value(String p,
                            JsonFormat.Shape sh,
                            Locale l,
                            TimeZone tz)

Since:
  2.1

Method Detail

### withPattern

    public JsonFormat.Value withPattern(String p)

  Since:
    2.1

### withShape

    public JsonFormat.Value withShape(JsonFormat.Shape s)

  Since:
    2.1

### withLocale

    public JsonFormat.Value withLocale(Locale l)

  Since:
    2.1

### withTimeZone

    public JsonFormat.Value withTimeZone(TimeZone tz)

  Since:
    2.1

### getPattern

    public String getPattern()

### getShape

    public JsonFormat.Shape getShape()

### getLocale

    public Locale getLocale()

### getTimeZone

    public TimeZone getTimeZone()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.